[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Extra non-free support... please test !



Steve McIntyre <stevem@chiark.greenend.org.uk> writes:

> Expect a reasonably large patch tonight.

While you're about it you might want to add the following patches, and
if anyone can tell me why it is that I'm still getting a powerpc #1
disk of 686MB:

-rw-r--r--    1 phil     phil     719757312 Jun  8 05:30 potato-powerpc-1.raw

even though I believe I was expecting all CDs to be under 630MB, that
too would be good.

This is a diff between what was in CVS about 12 hours ago, I'll leave
the local configuration stuff in, even though its generally useless,
just in case I've done something stupid.

The patch also contains an attempt to allow the the size of all CDs to
be set in one place (MBLIMIT=630), and some code in cds2src and
list2cds to take account of all files being rounded to the nearest 2K.

Cheers, Phil

=-=-=-=-=-

Index: CONF.sh
===================================================================
RCS file: /cvs/debian-boot/debian-cd/CONF.sh,v
retrieving revision 1.7
diff -u -r1.7 CONF.sh
--- CONF.sh     2000/06/06 17:19:27     1.7
+++ CONF.sh     2000/06/08 07:41:18
@@ -15,7 +15,7 @@
 # Official or non-official set.
 # NOTE: THE "OFFICIAL" DESIGNATION IS ONLY ALLOWED FOR IMAGES AVAILABLE
 # ON THE OFFICIAL DEBIAN CD WEBSITE http://cdimage.debian.org
-export OFFICIAL="Unofficial"
+export OFFICIAL="test-cycle-2"
 #export OFFICIAL="Official"
 #export OFFICIAL="Official Beta"
 
@@ -28,20 +28,20 @@
 #            images, however. Also, if you are using an NFS partition for
 #            some part of this, you must use this option.
 # Paths to the mirrors
-export MIRROR=/ftp/debian
+export MIRROR=/home/ftp/debian
 
 # Comment the following line if you don't have/want non-US
-#export NONUS=/ftp/debian-non-US
+#export NONUS=/home/ftp/debian/non-US
 
 # Path of the temporary directory
-export TDIR=/ftp/tmp
+export TDIR=/home/tmp
 
 # Path where the images will be written
-export OUT=/rack/debian-cd
+export OUT=/debian2/potato_USexportable_test
 
 # Where we keep the temporary apt stuff.
 # This cannot reside on an NFS mount.
-export APTTMP=/ftp/tmp/apt
+export APTTMP=$TDIR/apt
 
 # Do I want to have NONFREE merged in the CD set
 # export NONFREE=1
@@ -68,5 +68,9 @@
 
 # Options
 # export MKISOFS=/usr/bin/mkhybrid
-# export MKISOFS_OPTS="-a -r -T"       #For normal users
+export MKISOFS_OPTS="-a -r -T"         #For normal users
 # export MKISOFS_OPTS="-a -r -F -T"    #For symlink farmers
+
+# set the default size limit
+export MBLIMIT=630
+export SIZELIMIT=$(($MBLIMIT * 1024 * 1024))
Index: build_all.sh
===================================================================
RCS file: /cvs/debian-boot/debian-cd/build_all.sh,v
retrieving revision 1.4
diff -u -r1.4 build_all.sh
--- build_all.sh        2000/05/22 13:09:59     1.4
+++ build_all.sh        2000/06/08 07:41:18
@@ -1,10 +1,12 @@
 #!/bin/sh
 
+set -e
+
 # Script to build everything possible : sources and binaries for all archs
 
 . CONF.sh
 
-for ARCH in i386 m68k alpha sparc powerpc
+for ARCH in i386 powerpc # m68k alpha sparc
 do
        export ARCH
        echo "Now we're going to build CD for $ARCH !"
@@ -20,8 +22,8 @@
        echo " ... selecting packages to include"
        disks=`du -sm ${MIRROR}/dists/${CODENAME}/main/disks-${ARCH}/current/. | \
                awk '{print $1}'`
-       make list COMPLETE=1 SIZELIMIT1=$(((630 - ${disks}) * 1024 *1024)) \
-               SRCSIZELIMIT=$((635 * 1024 * 1024))
+       make list COMPLETE=1 SIZELIMIT1=$(((${MBLIMIT:-630} - ${disks}) * 1024 *1024)) \
+               SRCSIZELIMIT=$((${MBLIMIT:-635} * 1024 * 1024))
        echo " ... building the images"
        if [ "$ARCH" = "i386" ]; then
                make official_images
Index: tools/cds2src
===================================================================
RCS file: /cvs/debian-boot/debian-cd/tools/cds2src,v
retrieving revision 1.6
diff -u -r1.6 cds2src
--- tools/cds2src       2000/06/07 00:28:28     1.6
+++ tools/cds2src       2000/06/08 07:41:18
@@ -216,9 +216,11 @@
        $size = 0;
        msg(2, "+ Trying to add $src ...\n");
        foreach (@{$sources{$src}{"Files"}}) {
-               $size += $_->[1];
+               $size += (1+int($_->[1] / 2048)) * 2048;
                push @files, $_->[0];
        }
+       # add another 2048 for the .dsc file
+       $size += 2048 ;
        if ($cd_size + $size > $limit) {
                msg(0, "Source CD $cd filled with $cd_size bytes ...",
                       " (limit was $limit)\n");
Index: tools/list2cds
===================================================================
RCS file: /cvs/debian-boot/debian-cd/tools/list2cds,v
retrieving revision 1.6
diff -u -r1.6 list2cds
--- tools/list2cds      2000/06/06 17:19:27     1.6
+++ tools/list2cds      2000/06/08 07:41:19
@@ -142,8 +142,8 @@
                 next;
        }
        next if $excluded{$p};
-       $cd_size += $packages{$p}{"Size"};
-       $total_size += $packages{$p}{"Size"};
+       $cd_size += (1+int($packages{$p}{"Size"}/2048))*2048;
+       $total_size += (1+int($packages{$p}{"Size"}/2048))*2048;
        $included{$p} = 1;
        add_to_cd (1, [ $p ]);
 }
@@ -587,7 +587,7 @@
        my $arrayref = shift;
        my $size = 0;
        foreach (@{$arrayref}) {
-               $size += $packages{$_}{"Size"};
+               $size += (1+int($packages{$_}{"Size"}/2048))*2048;
        }
        return $size;
 }



Reply to: